summaryrefslogtreecommitdiffstats
path: root/lib/metadata.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/metadata.sh')
-rw-r--r--lib/metadata.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/lib/metadata.sh b/lib/metadata.sh
index 44fc427..dac8105 100644
--- a/lib/metadata.sh
+++ b/lib/metadata.sh
@@ -335,6 +335,23 @@ ob_get_system_path()
return 0
}
+## @brief Validate a section name
+## @details \fBob_validate_section\fP() validates a package archive section name
+## against the list in the metadata plugin selected at libopkbuild's
+## build time.
+## @operand section req The section name to validate.
+## @return Returns 0 if valid or 1 if invalid.
+## @pure yes This function has no side effects.
+ob_validate_section()
+{
+ local section="${1}"
+ shift 1 || _ob_abort
+
+ _ob_metadata_do 'validate_section' "${section}" || return ${?}
+
+ return 0
+}
+
## @brief Get a possibly architecture-qualified package name
## @details \fBob_qualify_package_name\fP() qualifies the name of a binary
## package with the host architecture if the package is in a section